"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = require("@arkecosystem/crypto");
const command_1 = require("@oclif/command");
const utils_1 = require("../utils");
const command_2 = require("./command");
class DeserializeCommand extends command_2.BaseCommand {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { flags } = this.parse(DeserializeCommand);
        const deserialized = flags.type === "transaction" ? new crypto_1.models.Transaction(flags.data) : new crypto_1.models.Block(flags.data);
        return utils_1.handleOutput(flags, JSON.stringify(deserialized, null, 4));
    }
}
DeserializeCommand.description = "Deserialize the given HEX";
DeserializeCommand.flags = Object.assign({}, command_2.BaseCommand.flags, { data: command_1.flags.string({
        description: "the HEX blob to deserialize",
        required: true,
        default: "transaction",
    }), type: command_1.flags.string({
        description: "transaction or block",
        required: true,
    }) });
exports.DeserializeCommand = DeserializeCommand;
//# sourceMappingURL=deserialize.js.map