"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = require("@arkecosystem/crypto");
const command_1 = require("@oclif/command");
const utils_1 = require("../utils");
const command_2 = require("./command");
class SerializeCommand extends command_2.BaseCommand {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { flags } = this.parse(SerializeCommand);
        const serialized = flags.type === "transaction"
            ? crypto_1.models.Transaction.serialize(JSON.parse(flags.data))
            : crypto_1.models.Block[flags.full ? "serializeFull" : "serialize"](JSON.parse(flags.data));
        return utils_1.handleOutput(flags, serialized.toString("hex"));
    }
}
SerializeCommand.description = "Serialize the given JSON";
SerializeCommand.flags = Object.assign({}, command_2.BaseCommand.flags, { data: command_1.flags.string({
        description: "the HEX blob to serialize",
        required: true,
    }), type: command_1.flags.string({
        description: "transaction or block",
        required: true,
    }), full: command_1.flags.boolean({
        description: "serialize a full block with transactions",
        required: false,
    }) });
exports.SerializeCommand = SerializeCommand;
//# sourceMappingURL=serialize.js.map