"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = require("@arkecosystem/crypto");
const command_1 = require("@oclif/command");
const utils_1 = require("../utils");
const command_2 = require("./command");
class VerifySecondSignatureCommand extends command_2.BaseCommand {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { flags } = this.parse(VerifySecondSignatureCommand);
        const transaction = new crypto_1.models.Transaction(flags.data);
        return utils_1.handleOutput(flags, crypto_1.crypto.verifySecondSignature(transaction, flags.publicKey));
    }
}
VerifySecondSignatureCommand.description = "Verify a second signature of a transaction";
VerifySecondSignatureCommand.flags = Object.assign({}, command_2.BaseCommand.flags, { data: command_1.flags.string({
        description: "the HEX blob to deserialize and verify",
        required: true,
    }), publicKey: command_1.flags.string({
        description: "the publicKey of the second signature in HEX",
        required: true,
    }) });
exports.VerifySecondSignatureCommand = VerifySecondSignatureCommand;
//# sourceMappingURL=verify-second.js.map