"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto_1 = require("@arkecosystem/crypto");
const command_1 = require("@oclif/command");
const utils_1 = require("../utils");
const command_2 = require("./command");
class VerifyCommand extends command_2.BaseCommand {
    async run() {
        // tslint:disable-next-line:no-shadowed-variable
        const { flags } = this.parse(VerifyCommand);
        const deserialized = flags.type === "transaction"
            ? new crypto_1.models.Transaction(flags.data)
            : new crypto_1.models.Block(crypto_1.models.Block.deserialize(flags.data));
        const output = deserialized instanceof crypto_1.models.Transaction ? deserialized.verify() : deserialized.verification.verified;
        return utils_1.handleOutput(flags, output);
    }
}
VerifyCommand.description = "Verify the given HEX";
VerifyCommand.flags = Object.assign({}, command_2.BaseCommand.flags, { data: command_1.flags.string({
        description: "the HEX blob to deserialize and verify",
        required: true,
    }), type: command_1.flags.string({
        description: "transaction or block",
        required: true,
    }) });
exports.VerifyCommand = VerifyCommand;
//# sourceMappingURL=verify.js.map